<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity5"
      xmlns:th="http://www.thymeleaf.org">

<head>
    <title>Registration</title>

    <style>
           input, select {
            width: 300px;
            height: 30px;
           }


    </style>

</head>
<body>

<div align="center">


    <div sec:authorize="isAuthenticated()">

        <div th:replace="fragments/header :: header"></div>

        <h1 style="color:red">You are already logged!</h1>

    </div>

    <div sec:authorize="isAnonymous()">

        <h1>REGISTRATION</h1>

        <h3 style="color:red">
            <span th:text="${message}"></span>
        </h3>

        <form method="post" th:action="@{/registration}">

            <p>
                <input placeholder="Login" required th:name="userName" type="text" width="30"/>
            </p>
            <p>
                <input placeholder="Password" required th:name="password" type="password" width="10"/>
            </p>
            <p>
                <input placeholder="Email" required th:name="email" type="email" width="30"/>
            </p>
            <p>
                <select required th:name="userRole" width="50">
                    <option th:each="userRoleOpt : ${T(com.epam.rd.november2019.model.UserRole).values()}"
                            th:text="${userRoleOpt.displayValue}" th:value="${userRoleOpt}"></option>
                </select>
            </p>

            <p><input type="submit" value="Registration"/></p>

        </form>

    </div>

    <h3>
        <a th:href="@{/login}">Login</a>
    </h3>

    <div th:replace="fragments/footer :: footer"></div>

</div>

</body>
</html>